View Issue Details

IDProjectCategoryView StatusLast Update
0003454SOGoBackend Calendarpublic2016-01-26 09:38
Reporterzhb Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.6 
Fixed in Version2.3.7 
Summary0003454: Synchronization is not enabled for newly created calendar by default
Description

Synchronization is not enabled for newly created calendar by default. This causes too much confusion while creating new calendar with mobile devices. e.g. BlackBerry 10 devices.

Steps To Reproduce

1: Login to SOGo as normal user.
2: Go to Calendar
3: Create a new calendar
4: Check its Properties, option "Synchronize" is not checked (enabled) by default.

TagsNo tags attached.

Activities

zhb

zhb

2016-01-24 09:36

reporter   ~0009319

Is there an option (in sogo.conf) to enable synchronization for newly created calendar by default?

ludovic

ludovic

2016-01-25 09:40

administrator   ~0009321

We don't offer such preference and it is by design that newly created calendars aren't sync'ed by default.

zhb

zhb

2016-01-25 09:46

reporter   ~0009322

Would you mind sharing the design behind this default setting? Why not sync by default?

As an end user, this brings too much trouble. I created a calendar on phone, and i have to login to SOGo to enable sync, this doesn't make sense.

ludovic

ludovic

2016-01-25 10:23

administrator   ~0009323

Newly create folder using EAS will only always be sync'ed by default:

https://github.com/inverse-inc/sogo/commit/155acfa9a6af98f9a11b3eeebaa415de28703e95

That's as far as we will get.

zhb

zhb

2016-01-25 22:41

reporter   ~0009327

Upgraded to 2.3.7 (thanks for this update), but newly created calendar is not marked as synchronizing.

zhb

zhb

2016-01-26 09:30

reporter   ~0009331

) Create new calendar on BlackBerry 10 with its "Remember" app, synchronization is enabled by default.
) Create with iCalendar on Mac OS X, or SOGo web interface, synchronization is NOT enabled by default.

I right-click calendar name on SOGo web interface, and select "Properties" to check synchronization status.

ludovic

ludovic

2016-01-26 09:38

administrator   ~0009332

This is how it is designed. Newly created calendars/ab from EAS devices only. We will NOT change this.

Issue History

Date Modified Username Field Change
2016-01-24 09:35 zhb New Issue
2016-01-24 09:36 zhb Note Added: 0009319
2016-01-25 09:40 ludovic Note Added: 0009321
2016-01-25 09:40 ludovic Status new => closed
2016-01-25 09:40 ludovic Assigned To => ludovic
2016-01-25 09:40 ludovic Resolution open => won't fix
2016-01-25 09:46 zhb Note Added: 0009322
2016-01-25 09:46 zhb Status closed => feedback
2016-01-25 09:46 zhb Resolution won't fix => reopened
2016-01-25 10:23 ludovic Note Added: 0009323
2016-01-25 10:23 ludovic Status feedback => resolved
2016-01-25 10:23 ludovic Fixed in Version => 2.3.7
2016-01-25 10:23 ludovic Resolution reopened => fixed
2016-01-25 22:41 zhb Note Added: 0009327
2016-01-25 22:41 zhb Status resolved => feedback
2016-01-25 22:41 zhb Resolution fixed => reopened
2016-01-26 09:30 zhb Note Added: 0009331
2016-01-26 09:30 zhb Status feedback => assigned
2016-01-26 09:38 ludovic Note Added: 0009332
2016-01-26 09:38 ludovic Status assigned => closed
2016-01-26 09:38 ludovic Resolution reopened => fixed